Subject: Re: bug#70760: 29.3.50; core dumps when copy in other apps

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 May 2024 08:11:17 +0300

> From: Kun Liu <[email-masked]>
> Date: Sat, 4 May 2024 13:49:41 -0700
> 
> (gdb) print data
> $1 = XIL(0x55f268372323)
> (gdb) xtype
> Lisp_Cons
> (gdb) xcar
> $2 = 0x11f40
> (gdb) xtype
> Lisp_Symbol
> (gdb) xsymbol
> $3 = (struct Lisp_Symbol *) 0x55f2626ad440 <lispsym+73536>
> "wrong-type-argument"
> 
> To your question, I wasn't doing anything in Emacs. I was just copying in Chrome.
> 
> Also I upgraded VirtualBox from 6 to 7. And looks like Emacs is no longer crashing. Now it reports the following
> in mini-bufffer:
> 
> funcall-interactively: Wrong type argument: listp, [(2 19 1) ((emacs (24))) "A modern list library for Emacs" tar
> ((:commit . "39d067b9fbb2db65fc7a6938bfb21489ad990cb4") (:authors ("Magnar Sveen" .
> "[email-masked]")) (:maintainers ("Magnar Sveen" . "[email-masked]")) (:maintainer "Magnar
> Sveen" . "[email-masked]") (:keywords "extensions" "lisp") (:url . "https://github.com/magnars/dash.el"))]

What were you copying in Chrome when this happened?  Was it text or
some other entity.  Does the text/object you were copying have
anything in common with the data of the error message above?  Can you
tell what URL to go to and which part of the page to copy, to
reproduce what you did?

Also, please set debug-on-error to a non-nil value, and post the Lisp
backtrace you get when these errors happen.